> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Estimate Template

> Delete an existing estimate template



## OpenAPI

````yaml /api-reference/invoices/openapi.json delete /invoices/estimate/template/{templateId}
openapi: 3.0.0
info:
  title: Invoice API
  description: Documentation for invoice API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Invoice
    description: Documentation for invoice API
  - name: Template
    description: Documentation for invoice API
  - name: Schedule
    description: Documentation for invoice API
  - name: Text2Pay
    description: Documentation for invoice API
  - name: Estimate
    description: Documentation for invoice API
paths:
  /invoices/estimate/template/{templateId}:
    delete:
      tags:
        - Estimate
      summary: Delete Estimate Template
      description: Delete an existing estimate template
      operationId: delete-estimate-template
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: templateId
          required: true
          in: path
          description: Template Id
          schema:
            example: 5f9d6d8b1b2d2c001f2d9e4b
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AltDto'
      responses:
        '200':
          description: Successfully deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EstimateTemplateResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - invoices/estimate.write
        - Agency-Access:
            - invoices/estimate.write
components:
  schemas:
    AltDto:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
      required:
        - altId
        - altType
    EstimateTemplateResponseDTO:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        _id:
          type: string
          description: Unique identifier
          example: 67ac9a51106ee8311e911XXXX
        liveMode:
          type: boolean
          description: Indicates if it is in live mode
          example: true
        deleted:
          type: boolean
          description: Indicates if deleted
          example: false
        name:
          type: string
          description: Name
          example: Estimate Name
        currency:
          type: string
          description: Currency code
          example: USD
        businessDetails:
          $ref: '#/components/schemas/BusinessDetails'
          example:
            logoUrl: your_image-url
            name: Business name
            address:
              addressLine1: address line 1
              city: Test City
              state: State Name
              countryCode: US
              postalCode: '12345'
            phoneNo: +1 1234567890
            website: www.example.com
            customValues:
              - name: Test
                fieldKey: '{{custom_values.test}}'
                id: 5DYTWoiQvWiIJZXX44XXX
                value: Test's Custom Value
        items:
          description: An array of items
          example:
            - taxes: []
              taxInclusive: false
              _id: 67ac9a51106ee8311e911XXXX
              description: <p>Futuristic anti-gravity racing</p>
              currency: USD
              productId: 67ac9a51106ee8311e911XXXX
              priceId: 67ac9a51106ee8311e911XXXX
              amount: 9.99
              qty: 1
              name: TEST
              type: one_time
            - taxes:
                - _id: 67ac9a51106ee8311e911XXXX
                  name: TaxTwo
                  rate: 8.5
                  calculation: exclusive
              taxInclusive: true
              _id: 67ac9a51106ee8311e911XXXX
              productId: 67ac9a51106ee8311e911XXXX
              priceId: 67ac9a51106ee8311e911XXXX
              currency: USD
              name: TEST2
              qty: 1
              amount: 500
              description: ''
              type: recurring
          type: array
          items:
            type: array
        discount:
          $ref: '#/components/schemas/DiscountDto'
          example:
            type: percentage
            value: 0
        title:
          type: string
          description: Title
          example: ESTIMATE
        estimateNumberPrefix:
          type: string
          description: Estimate number prefix
          example: EST-
        attachments:
          description: Attachments
          type: array
          items:
            $ref: '#/components/schemas/AttachmentsDto'
        updatedBy:
          type: string
          description: User Id of who last updated
          example: 3HIpOF9NIc5ltriQXXXX
        total:
          type: number
          description: Total amount
          example: 1222.03
        createdAt:
          format: date-time
          type: string
          description: Timestamp when created
          example: '2025-02-12T13:17:47.416Z'
        updatedAt:
          format: date-time
          type: string
          description: Timestamp when last updated
          example: '2025-02-12T13:17:47.416Z'
        __v:
          type: number
          description: Version number
          example: 0
        automaticTaxesEnabled:
          type: boolean
          description: Indicates if automatic taxes are enabled for this estimate
          example: false
        termsNotes:
          type: string
          description: Terms and conditions for the estimate, supports HTML markup
          example: <p>All services are subject to availability.</p>
      required:
        - altId
        - altType
        - _id
        - liveMode
        - deleted
        - name
        - currency
        - businessDetails
        - items
        - discount
        - total
        - createdAt
        - updatedAt
        - __v
        - automaticTaxesEnabled
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    BusinessDetails:
      type: object
      properties: {}
    DiscountDto:
      type: object
      properties:
        value:
          type: number
          description: Discount Value
          example: 10
          default: 0
        type:
          type: string
          description: Discount type
          enum:
            - percentage
            - fixed
          example: percentage
          default: percentage
        validOnProductIds:
          description: Product Ids on which discount is applicable
          example: '[ ''6579751d56f60276e5bd4154'' ]'
          type: array
          items:
            type: string
      required:
        - type
    AttachmentsDto:
      type: object
      properties:
        id:
          type: string
          description: Id of the file selected
          example: 6241712be68f7a98102ba272
        name:
          type: string
          description: 'Name of the file '
          example: Electronics.pdf
        url:
          type: string
          description: URL of the file
          example: https://example.com/digital-delivery
        type:
          type: string
          description: Type of the file
        size:
          type: number
          description: Size of the file
          example: 10000
      required:
        - id
        - name
        - url
        - type
        - size

````